<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [clear](./bitburner.ns.clear.md)

## NS.clear() method

Clear data from a file.

**Signature:**

```typescript
clear(handle: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  handle | string | Text file to clear. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Delete all data from that text file.

